> For the complete documentation index, see [llms.txt](https://docs.digitalsamba.com/reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalsamba.com/reference/rest-api/sessions/delete-resources/concrete-resource.md).

# Concrete resource

If you would like to hard delete a concrete session resource - e.g. chat, recordings, transcripts, summaries, then you need to execute a DELETE request to the concrete resource endpoint.

* DELETE /sessions/:id/**chat** -> this will permanently delete all chat messages for the session
* DELETE /sessions/:id/**questions**  -> this will permanently delete all Q\&A for the session
* DELETE /sessions/:id/**polls**  -> this will permanently delete all polls for the session
* DELETE /sessions/:id/**recordings**  -> this will permanently delete all recordings for the session
* DELETE /sessions/:id/**transcripts**  -> this will permanently delete all transcripts for the session
* DELETE /sessions/:id/**summaries** -> this will permanently delete all summaries for the session

{% hint style="info" %}
You can hard delete **ALL** session resources by executing one DELETE request to\
**DELETE /sessions/:id/resources**
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/sessions/delete-resources/concrete-resource.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
